<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_7f628626dd1d55c71b1fc0932f" . "fd1d2c" => base64_decode("aXNfYXJ" . "yYXk="), "_e2e36e1c2215f2613" . "68b20d15740847e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsb" . "WV0YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lkLGludDprZXksIHN0cjp2YWwp"), "_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d" => base64_decode("bG1zZw" . "=="), "_80be54d4b" . "f79b1f177a" . "6b4555ae15" . "ab7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gVW5kZWZpbmVkIG1ldGEgZmllb" . "GQgSUQ="), "_4079816faf0560c68" . "77e40230b8b965f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgV0hFUkUgbWV0YWRhdGFfaWQ9aW50Om1ldGFfZmllbGRfaW" . "Q="), "_0926ec15" . "94f048b9f" . "e0aa9aa05" . "b9a243" => base64_decode("Q291bGRuJ3QgZG" . "VsZXRlLiBVbmRl" . "ZmluZWQgbWV0YS" . "BmaWVsZCBJRA=="), "_2d4b5f427d48c3" . "244c2f195479a6c" . "ed7" => base64_decode("Y29tbW9uLm1ldGF" . "kYXRhLmJsYW5rX3" . "ZhbHVlcw=="), "_516340c618ee12b8bfb13b0d280f" . "269f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmFsdWVzIFdIRVJFIG1ldGFkYXRhX2lkPWludDptZXRhX2ZpZW" . "xkX2lkIE9SREVSIEJZIG1ldGFfdmFsdWU="), "_2d71c655f2a" . "62b5d8b25dbf" . "8acf952fd" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5kZWZpbmVk" . "IG1ldGEgZmllbGQgSUQ="), "_d162ad33b44" . "d275ccc6e4b5" . "280b618df" => base64_decode("bWV0Y" . "V90ZX" . "h0"), "_31767d7ad58e706dbf47b7a5" . "1a0fe6c4" => base64_decode("Y29" . "1bn" . "Q="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_2d71c65" . "5f2a62b5" . "d8b25dbf" . "8acf952f" . "d"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_516340c" . "618ee12b" . "8bfb13b0" . "d280f269" . "f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d162ad33b44d275ccc6e" . "4b5280b618df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_80be54d4bf79b1f177a6b4555ae15a" . "b7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e2e36e1c2215f26" . "1368b20d15740847" . "e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0926ec1594" . "f048b9fe0aa" . "9aa05b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4079816faf056" . "0c6877e40230b8" . "b965f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_7f628626dd1d55" . "c71b1fc0932ffd1" . "d2c"]($values) || $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_31767d7ad58e706dbf47b7a51a0" . "fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2d4b5f427d48c3244c2" . "f195479a6ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_7f628626dd1d55c71b1fc0932ffd1d" . "2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}